Skip to main content
REST API reference
A newer release of this product is available.

Creates an active directory preferred dc configuration for an svm

  • domain - fully qualified domain name

  • server_ip - ipv4/ipv6 address of the preferred dc ## the following parameters are optional:

    • skip_config_validation # related ontap commands

  • vserver active-directory preferred-dc add

POST /protocols/active-directory/{svm.uuid}/preferred-domain-controllers

Introduced In: 9.12

Creates an Active Directory preferred DC configuration for an SVM.

Required properties

  • svm.uuid - Existing SVM in which to create the preferred DC.

  • domain - Fully Qualified Domain Name.

  • server_ip - IPv4/IPv6 address of the preferred DC.

The following parameters are optional:

  • skip_config_validation

  • vserver active-directory preferred-dc add

Parameters

Name Type In Required Description

skip_config_validation

boolean

query

False

Skip the validation of the specified preferred DC configuration.

  • Default value:

return_records

boolean

query

False

The default is false. If set to true, the records are returned.

  • Default value:

svm.uuid

string

path

True

UUID of the SVM to which this object belongs.

Request Body

Name Type Description

fqdn

string

Fully Qualified Domain Name.

server_ip

string

IP address of the preferred DC. The address can be either an IPv4 or an IPv6 address.

Example request
{
  "fqdn": "test.com",
  "server_ip": "4.4.4.4"
}

Response

Status: 201, Created
Name Type Description

fqdn

string

Fully Qualified Domain Name.

server_ip

string

IP address of the preferred DC. The address can be either an IPv4 or an IPv6 address.

Example response
{
  "fqdn": "test.com",
  "server_ip": "4.4.4.4"
}

Headers

Name Description Type

Location

Useful for tracking the resource location

string

Error

Status: Default

ONTAP Error Response Codes

Error Code Description

655366

Invalid domain controller.

655506

Failed to add preferred-dc.

655918

The fully qualified domain name cannot be longer than 254 bytes.

656407

Failed to validate preferred-dc.

656408

RPC failure occurred during preferred-dc config validation.

Definitions

See Definitions

active_directory_preferred_dc

Name Type Description

fqdn

string

Fully Qualified Domain Name.

server_ip

string

IP address of the preferred DC. The address can be either an IPv4 or an IPv6 address.

error_arguments

Name Type Description

code

string

Argument code

message

string

Message argument

error

Name Type Description

arguments

array[error_arguments]

Message arguments

code

string

Error code

message

string

Error message

target

string

The target parameter that caused the error.

Close
Try it out

Sign in with your NetApp Cloud Central credentials.

Try this API

Parameters

Headers

Body

Code

Response